Segments
List Segments
GET
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringSuccess
application/json- response
[index: integer]?curl -X GET 'https://api.faststats.dev/v0/projects/string/segments'Example Response
[ { "id": "string", "projectId": "string", "key": "string", "name": "string", "description": "string", "type": "dynamic", "definition": { "type": "group", "match": "all", "negate": true, "children": [ {} ] }, "members": [ { "kind": "identifier", "value": "string", "excluded": true } ], "flagCompatible": true, "usedBy": { "segments": [ "string" ], "flags": [ "string" ] }, "createdAt": "string", "updatedAt": "string" }]curl -X GET 'https://api.faststats.dev/v0/projects/string/segments'[
{
"id": "string",
"projectId": "string",
"key": "string",
"name": "string",
"description": "string",
"type": "dynamic",
"definition": {
"type": "group",
"match": "all",
"negate": true,
"children": [
{}
]
},
"members": [
{
"kind": "identifier",
"value": "string",
"excluded": true
}
],
"flagCompatible": true,
"usedBy": {
"segments": [
"string"
],
"flags": [
"string"
]
},
"createdAt": "string",
"updatedAt": "string"
}
]